ホーム > Rails, Ruby > nativeなgemをBundlerで。

nativeなgemをBundlerで。 このエントリーを含むはてなブックマーク はてなブックマーク - nativeなgemをBundlerで。

2010 年 8 月 21 日

Bundler: The best way to manage Ruby applications

Install all gems into vendor/bundle, even gems that are already installed to your system and would normally be used from there instead of installed.

インストール時にnative extensionが作られるgem(たとえばsqlite3-ruby)をBundlerで入れるときに、おすすめされているディレクトリ(vendor/bundle)にインストールするとnativeなものがリポジトリに含まれちゃってわりと残念な感じになるんですが、みなさんどうしてるんでしょうか。
いくつかのディレクトリ(cache,gems,specifications)に撒かれているのをそれぞれ.gitignoreに書くのもそれはそれで気持ち悪いのでなにかうまい方法を考えていたら日が暮れてしまうという始末。あーなんてこと!


カテゴリー: Rails, Ruby タグ:
  1. 2010 年 8 月 21 日 20:57 | #1

    バージョンは固定、bundleディレクトリは基本ignoreでやってます。

  2. 2010 年 8 月 22 日 02:59 | #2

    あーなるほど、そもそもbundle自体を含める必要は無いですね。
    そしてバージョン固定しちゃえば差異が発生することもないのか。あざーす!

コメントは受け付けていません。